### Signal

# RB ShellPlayer::playing-song-changed

#### Declaration

    void
    playing_song_changed (
      RBShellPlayer* self,
      RhythmDBEntry* entry,
      gpointer user_data
    )

#### Description [src]

Emitted when the playing database entry changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The new playing `RhythmDBEntry`.

  The data is owned by the caller of the function.